Bug 1567639 - Host uses 100% CPU (ppoll loop) when guest idling
Summary: Host uses 100% CPU (ppoll loop) when guest idling
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 17:11 UTC by Sami Farin
Modified: 2018-11-30 21:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:01:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Sami Farin 2018-04-15 17:11:59 UTC
Description of problem:
When I for example run iperf3 in guest (Fedora 27), qemu goes into some stupid polling loop, consuming 100% CPU on host.  Top and perf top show about 0% usage on guest.

Version-Release number of selected component (if applicable):

Happens with qemu 2.11.1 and 2.10.1.


How reproducible:


Steps to Reproduce:
1. qemu-system-x86_64 -drive file=fedora27.img,format=raw -enable-kvm -m 2048 -cpu host -smp 6 -device e1000,netdev=user.0 -netdev user,id=user.0
2.
3.

Actual results:
ppoll loop doing something stupid

Expected results:
not doing anything silly

Additional info:
[pid 618111] 14:04:12.653082 ppoll([{fd=50, events=POLLOUT|POLLERR}, {fd=42, events=POLLIN|POLLPRI|POLLERR|POLLHUP}, {fd=13, events=POLLIN|POLLERR|POLLHUP}, {fd=51, events=POLLIN|POLLERR|POLLHUP}, {fd=49, events=POLLIN|POLLERR|POLLHUP}, {fd=48, events=POLLIN|POLLERR|POLLHUP}, {fd=43, events=POLLIN|POLLERR|POLLHUP}, {fd=47, events=POLLIN|POLLERR|POLLHUP}, {fd=46, events=POLLIN|POLLERR|POLLHUP}, {fd=45, events=POLLIN|POLLERR|POLLHUP}, {fd=44, events=POLLIN|POLLERR|POLLHUP}, {fd=41, events=POLLIN|POLLERR|POLLHUP}, {fd=28, events=POLLIN|POLLERR|POLLHUP}, {fd=23, events=POLLIN|POLLERR|POLLHUP}, {fd=22, events=POLLIN|POLLERR|POLLHUP}, {fd=40, events=POLLIN|POLLERR|POLLHUP}, {fd=39, events=POLLIN|POLLERR|POLLHUP}, {fd=38, events=POLLIN|POLLERR|POLLHUP}, {fd=37, events=POLLIN|POLLERR|POLLHUP}, {fd=36, events=POLLIN|POLLERR|POLLHUP}, {fd=35, events=POLLIN|POLLERR|POLLHUP}, {fd=34, events=POLLIN|POLLERR|POLLHUP}, {fd=33, events=POLLIN|POLLERR|POLLHUP}, {fd=32, events=POLLIN|POLLERR|POLLHUP}, {fd=31, events=POLLIN|POLLERR|POLLHUP}, {fd=30, events=POLLIN|POLLERR|POLLHUP}, {fd=29, events=POLLIN|POLLERR|POLLHUP}, {fd=27, events=POLLIN|POLLERR|POLLHUP}, {fd=26, events=POLLIN|POLLERR|POLLHUP}, {fd=25, events=POLLIN|POLLERR|POLLHUP}, {fd=24, events=POLLIN|POLLERR|POLLHUP}, {fd=3, events=POLLIN}, {fd=5, events=POLLIN}, {fd=7, events=POLLIN}, {fd=8, events=POLLIN}, {fd=9, events=POLLIN}], 36, {tv_sec=0, tv_nsec=14840922}, NULL, 8) = 1 ([{fd=50, revents=POLLOUT|POLLHUP}], left {tv_sec=0, tv_nsec=14832063}) <0.000019>
[pid 618111] 14:04:12.654049 recvfrom(50, "", 8640, 0, NULL, NULL) = 0 <0.000013>
[pid 618111] 14:04:12.654172 getsockopt(50, SOL_SOCKET, SO_ERROR, [0], [4]) = 0 <0.000010>
[pid 618111] 14:04:12.654272 shutdown(50, SHUT_RD) = -1 ENOTCONN (Transport endpoint is not connected) <0.000010>
[pid 618111] 14:04:12.654366 recvmsg(9, {msg_namelen=0}, 0) = -1 EAGAIN (Resource temporarily unavailable) <0.000010>

Comment 1 Ben Cotton 2018-11-27 16:10:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 21:01:14 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.